const axios = require('axios');

/**
 * @return {boolean}
 */
function isJsonString(str) {
    try {
        JSON.parse(str);
    } catch (e) {
        return false;
    }
    return true;
}

function checkIfRequestHasVote(json) {
    return json.hasOwnProperty('vote');
}

function sendRequest(url, json, callback) {
    //make post request
    axios
        .post(url, JSON.parse(json))
        .then(res => {
            //echo data
            callback(res);
        })
        .catch(error => {
            console.error(error);
            callback(null);
        });
}

module.exports = {
    isJsonString,
    checkIfRequestHasVote,
    sendRequest
};
